petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeCreate

Creates a vector packer, used to generate "composite" vectors made up of several subvectors.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeCreate(MPI_Comm comm,DM *packer)

Collective on MPI_Comm

### Input Parameter

comm -the processors that will share the global vector

### Output Parameters

packer -the packer object

### See Also

DMDestroy(), DMCompositeAddDM(), DMCompositeScatter(), DMCOMPOSITE,DMCreate()
DMCompositeGather(), DMCreateGlobalVector(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess() DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex73f90t.F90.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages